## php7.2 7.2.31

=== debian/changelog ===
php7.2 (7.2.31-1+0~20200514.41+debian8~1.gbpe2a56b) unstable; urgency=medium

  ** SNAPSHOT build @e2a56b7d42a92f88cd93cf755bf6a3f17eb82f17 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Thu, 14 May 2020 10:31:42 +0200

php7.2 (7.2.31-1) unstable; urgency=medium

  * Add patch to reduce BC break introduced in libzip 1.6.0
  * New upstream version 7.2.31
  * Add upstream patch to allow numeric [UG]ID in FPM listen.{owner,group}

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 May 2020 10:12:51 +0200

php7.2 (7.2.30-1) unstable; urgency=medium

  * New upstream version 7.2.30

 -- Ondřej Surý <ondrej@debian.org>  Sun, 19 Apr 2020 09:47:19 +0200

php7.2 (7.2.29-1) unstable; urgency=medium

  * Add (non-existent) systemd-tmpfiles package as alternative to systemd
  * php-fpm has to depend on procps due kill usage in systemd service file
    (Closes: #861855)
  * New upstream version 7.2.29

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 Mar 2020 14:52:52 +0100

php7.2 (7.2.28-4) unstable; urgency=medium

  * Use pkg-config for PHP_SETUP_LIBXML

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Feb 2020 16:19:53 +0100

php7.2 (7.2.28-3) unstable; urgency=medium

  * Update version in debian/php-fpm.maintscript
  * Remove /etc/init/php@PHP_VERSION@-fpm.conf, not
    /etc/init/php@PHP_VERSION@.conf

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Feb 2020 08:16:24 +0100

php7.2 (7.2.28-2) unstable; urgency=medium

  * Remove the PIDFile= setting from systemd unit file (it should not be
    needed with Type=notify)
  * Use php-fpm-socket-helper from php-common >= 1:73 to update the
    default socket
  * Fixup upstart removal (missing prepare-files update) (Closes: #951745)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 21 Feb 2020 18:39:32 +0100

php7.2 (7.2.28-1) unstable; urgency=medium

  * Remove upstart support, use systemd-tmpfiles to create tmpfiles
    (Closes: #923032)
  * New upstream version 7.2.28

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Feb 2020 13:37:57 +0100

php7.2 (7.2.27-6) unstable; urgency=medium

  * Use absolute path to update-alternatives

 -- Ondřej Surý <ondrej@debian.org>  Wed, 05 Feb 2020 17:46:59 +0100

php7.2 (7.2.27-5) unstable; urgency=medium

  * Move the update-alternatives call from postinst/prerm to systemd startup script

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 Feb 2020 18:59:37 +0100

php7.2 (7.2.27-4) unstable; urgency=medium

  * Make the creation of the default socket work on new installs

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 Feb 2020 14:13:11 +0100

php7.2 (7.2.27-3) unstable; urgency=medium

  * Use a mock socket file for setting up FPM socket alternatives

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 Feb 2020 13:14:21 +0100

php7.2 (7.2.27-2) unstable; urgency=medium

  * Create a generic /run/php/php-fpm.sock socket using update-alternatives

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 Feb 2020 11:18:50 +0100

php7.2 (7.2.27-1) unstable; urgency=medium

  * Bump the debhelper compat to 10
  * Bump the Standards Version (no change)
  * Disable dh_autoreconf for PHP, it breaks the build
  * New upstream version 7.2.27

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 Jan 2020 15:01:39 +0100

php7.2 (7.2.26-1) unstable; urgency=medium

  * New upstream version 7.2.26

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Dec 2019 15:56:15 +0100

php7.2 (7.2.25-1) unstable; urgency=medium

  * Use mysqld --initialize-insecure for MySQL 8.0 (for Ubuntu 19.10)
  * Disable MySQL X Plugin in the tests
  * Remove --skip-grant-tables to fix FTBFS with MySQL 8.0
  * Remove --without-mysqlx from MySQL 5.7
  * New upstream version 7.2.25

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Nov 2019 08:39:05 +0100

php7.2 (7.2.24-1) unstable; urgency=medium

  * New upstream version 7.2.24

 -- Ondřej Surý <ondrej@debian.org>  Thu, 24 Oct 2019 20:27:36 +0200

php7.2 (7.2.23-1) unstable; urgency=medium

  * New upstream version 7.2.23

 -- Ondřej Surý <ondrej@sury.org>  Tue, 08 Oct 2019 07:30:00 +0200

php7.2 (7.2.22-1) unstable; urgency=medium

  * New upstream version 7.2.22

 -- Ondřej Surý <ondrej@sury.org>  Mon, 02 Sep 2019 14:47:55 +0200

php7.2 (7.2.21-1) unstable; urgency=medium

  * New upstream version 7.2.21
  * Rebase patches for PHP 7.2.21

 -- Ondřej Surý <ondrej@sury.org>  Wed, 07 Aug 2019 11:52:08 +0200

php7.2 (7.2.20-2) unstable; urgency=medium

  * Add patch that reverts the break in symfony framework

 -- Ondřej Surý <ondrej@sury.org>  Thu, 25 Jul 2019 13:40:54 +0200

php7.2 (7.2.20-1) unstable; urgency=medium

  * New upstream version 7.2.20

 -- Ondřej Surý <ondrej@sury.org>  Wed, 10 Jul 2019 08:57:35 +0200

php7.2 (7.2.19-1) unstable; urgency=medium

  * New upstream version 7.2.19

 -- Ondřej Surý <ondrej@sury.org>  Fri, 31 May 2019 13:15:08 +0200

php7.2 (7.2.18-1) unstable; urgency=medium

  * New upstream version 7.2.18

 -- Ondřej Surý <ondrej@sury.org>  Fri, 03 May 2019 11:13:18 +0200

php7.2 (7.2.17-1) unstable; urgency=medium

  * Update d/watch for new php.net pages
  * New upstream version 7.2.17
  * Enforce C++11 for intl compilation on older distributions

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Apr 2019 06:55:11 +0000

php7.2 (7.2.16-1) unstable; urgency=medium

  * New upstream version 7.2.16
  * Update systzdata patch to v17 (Courtesy of RemiRepo)
  * Add patch for OpenSSL 1.1.1b (Courtesy of RemiRepo)
  * Backport getallheaders() function to FPM SAPI (Courtesy of RemiRepo)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 07 Mar 2019 19:40:34 +0000

php7.2 (7.2.15-1) unstable; urgency=medium

  * New upstream version 7.2.15
  * Add patch to use pkg-config instead of icu-config to detect icu
    libraries
  * Update systzdata patch to v16 (Courtesy of Remi Collet)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 08 Feb 2019 15:09:11 +0000

php7.2 (7.2.14-1) unstable; urgency=medium

  * New upstream version 7.2.14

 -- Ondřej Surý <ondrej@debian.org>  Sun, 13 Jan 2019 09:59:20 +0000

php7.2 (7.2.13-1) unstable; urgency=medium


