=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: php7.2
 Section: php
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
+Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Lior Kaplan <kaplan@debian.org>
 Build-Depends: apache2-dev (>= 2.4),
@@ -10,11 +9,11 @@
                automake,
                bison,
                chrpath,
-               debhelper (>= 9),
+               debhelper (>= 9.20150101),
                default-libmysqlclient-dev | libmysqlclient-dev,
                default-mysql-server <!nocheck> | mysql-server <!nocheck> | virtual-mysql-server <!nocheck>,
                dh-apache2,
-               dh-systemd (>= 1.3) [linux-any] | base-files (<< 7.2ubuntu5~) [linux-any],
+               dh-systemd (>= 1.3) [linux-any],
                dpkg-dev (>= 1.16.1~),
                firebird-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.5-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.1-dev [!hurd-any !m68k !hppa !ppc64],
                flex,
@@ -39,6 +38,7 @@
                libjpeg-dev | libjpeg62-dev,
                libkrb5-dev,
                libldap2-dev,
+	       liblmdb-dev,
                libmagic-dev,
                libmhash-dev (>= 0.8.8),
                libnss-myhostname [linux-any],
@@ -55,7 +55,7 @@
                libsodium-dev,
                libsqlite3-dev,
                libssl-dev,
-               libsystemd-dev [linux-any] | libsystemd-daemon-dev [linux-any] | base-files (<< 7.2ubuntu5~) [linux-any],
+               libsystemd-dev [linux-any],
                libtidy-dev (>= 1:5.2.0),
                libtool (>= 2.2),
                libwebp-dev,
@@ -75,7 +75,7 @@
                zlib1g-dev
 Build-Conflicts: bind-dev,
                  libxmlrpc-core-c3-dev
-Standards-Version: 3.9.7
+Standards-Version: 4.5.0.0
 Vcs-Git: https://salsa.debian.org/php-team/php.git -b master-7.2
 Vcs-Browser: https://salsa.debian.org/php-team/php
 Homepage: http://www.php.net/
@@ -242,6 +242,8 @@
          php7.2-common (= ${binary:Version}),
          php7.2-json,
          php7.2-opcache,
+         procps,
+         systemd | systemd-tmpfiles,
          tzdata,
          ucf,
          ${misc:Depends},
@@ -298,7 +300,7 @@
 
 Package: php7.2-odbc
 Architecture: any
-Depends: php-common (>= 1:35),
+Depends: php-common (>= 1:73),
          ucf,
          ${misc:Depends},
          ${php:Depends},
@@ -321,7 +323,7 @@
 
 Package: php7.2-readline
 Architecture: any
-Depends: php-common (>= 1:35),
+Depends: php-common (>= 1:73),
          ucf,
          ${misc:Depends},
          ${php:Depends},
@@ -344,9 +346,12 @@
 
 Package: php7.2-recode
 Architecture: any
-Depends: php-common (>= 1:35),
+Depends: php-common (>= 1:73),
          ucf,
          ${misc:Depends},
          ${php:Depends},
 	 ${php-recode:Depends},
          ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+	     ${php-recode:Pre-Depends}
+Built-Using: ${php:Built-Using}
